package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.admin.entity.Structure;
import com.tuoheng.admin.query.StructureQuery;
import com.tuoheng.admin.vo.StructureInfoVo;
import org.apache.ibatis.annotations.Param;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
public interface StructureMapper extends BaseMapper<Structure> {
    IPage<StructureInfoVo> queryPage(@Param("page") IPage page,@Param("request")  StructureQuery query);

    IPage<StructureInfoVo> queryPageBySectionId(@Param("page") IPage<Structure> page,@Param("request")  StructureQuery query);
}
