package com.tuoheng.miniprogram.entity.dto;



import com.tuoheng.miniprogram.entity.Menu;
import com.tuoheng.miniprogram.entity.OpPermissions;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/11/16 14:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class RolePermissionDto {
    /**
     * 角色id
     */
    private Integer roleId;
    /**
     *对应的菜单集合->及子菜单(按钮)
     */
    private List<Menu> opMenusList;
    /**
     * 对应的权限集合
     */
    private List<OpPermissions> permissionsList;

}
