package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/11/29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_question_type")
public class QuestionType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *编号
     */
    private String code;

    /**
     * 类型名称：1坑槽 2积水 3裂纹
     */
    private Integer name;

    /**
     * 巡检内容
     */
    private String content;

    /**
     * 排序
     */
    private Integer sort;


}
