package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 巡检问题工单子对象 th_work_order_file
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-16
 */
@Data
@Accessors(chain = true)
@TableName("th_work_order_file")
public class WorkOrderFile {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 巡检问题工单ID
     */
    private String workOrderId;

    /**
     * 巡检问题文件ID
     */
    private String inspectionFileId;

}
