package com.tuoheng.admin.enums.code.inspectionfile;

/**
 *  根据任务ID查询巡检任务问题分页列表返回码
 *      模块代码：24（问题管理）
 *      接口代码：04 （根据任务ID查询巡检任务问题分页列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-01
 */
public enum QueryInspectionFilePageListByInspectionIdCodeEnum {

    QUERY_IS_FAILED(1240400, "获取数据失败"),
    INSPECTION_ID_IS_NULL(1240401, "任务id为空"),
    INSPECTION_IS_NOT_EXIST(1240402, "任务不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryInspectionFilePageListByInspectionIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
