package com.tuoheng.admin.query;


import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * 菜单查询条件
 */
@Data
public class MenuQuery extends BaseQuery {

    /**
     * 菜单名称
     */
    private String name;

    /**
     * 上级ID
     */
    private Integer parentId;
    /**
     * 菜单类型 1pc 2小程序
     */
    private Integer menuType;

}
