package com.tuoheng.admin.request.workorder;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * 生成工单请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
@Data
public class GenerateWorkorderRequest {

    /**
     * 任务Id
     */
    private String inspectionId;

    /**
     * 问题类型
     */
    private String questionId;

    /**
     * 问题状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

}
