package com.tuoheng.admin.vo.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 返回巡检问题报告视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-12
 */
@Data
public class InspectionFileHandleReportVo {

    /**
     * 处理人
     */
    private String handlerUser;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date handlerTime;

    /**
     * 处理后图片列表
     */
    private List<String> handlerImageList;

}
