package com.tuoheng.miniprogram.controller;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.service.IQuestionTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ChengWang
 * @Date 2022/11/25
 */
@RestController
@RequestMapping("/questionType")
public class QuestionTypeController {

    @Autowired
    private IQuestionTypeService iQuestionTypeService;

    /**
     * 问题类型列表
     * @return
     */
    @GetMapping("/getList")
    public JsonResult getList(){
        return iQuestionTypeService.getList();
    }

}
